<?php
/**
 * @package WordPress
 * @subpackage Default_Theme
 */

get_header();
$data = array();

$data['type'] 			= get_post_meta($post->ID, "type", true);
$data['url'] 			= get_post_meta($post->ID, "url", true);
$data['customurl'] 		= get_post_meta($post->ID, "customurl", true);
$data['url_demo'] 		= get_post_meta($post->ID, 'url_demo', true);
$data['url_features'] 	= get_post_meta($post->ID, 'url_features', true);
$data['images'] 		= get_post_meta($post->ID, 'images', true);
?>
 
<!-- Content -->
<div id="content"><div class="cl">&nbsp;</div><div id="widecolumn"><div class="wc-bottom"><div class="wc-top">

	<?php if($data['type'] !="article" && $data['url'] !="" && get_option("display_single_preview") =="yes"){ ?>
		<!-- Page Header -->
		<div class="page-header">					 
			<h2><?php the_title(); ?></h2>
		</div>
		<!-- END Page Header -->	 
		<iframe class="SinglePreview" src="<?php echo $data['url']; ?>" scrolling="no" ></iframe>
	<?php } ?>

</div>

 

<?php if (have_posts()) : while (have_posts()) : the_post(); UpdateHits($post->ID); ?>

<!-- Blog -->
<div id="blog">


				<?php if($data['type'] !="article"){ ?>

				<div class="post wide-post"><div class="post-text-wide">

				<div class="header">
					<span class="fr"><strong><?php comments_number('No Comments', '1 <a href="#allcomments">comment</a>', '% <a href="#allcomments">comments</a>') ?></strong></span>
					<h3><?php the_title(); ?></h3>
				</div>

				<div class="entry">
				<table width="100%"  border="0"><tr><td width="62%" valign="top">
				<?php the_excerpt(); ?>
				<br> 
				</td><td width="2%">&nbsp;</td><td width="36%" valign="top">

				<div><a href="<?php echo $data['url']; ?>" target="_blank" <?php if(get_option("display_nofollow") =="yes"){ ?>rel="nofollow"<?php } ?>><img src="<?php echo bloginfo('template_url')."/themes/".get_option('directorypress_theme')."/images/"; ?>viewwebsite.jpg" alt="" /></a></div>
				<?php if($data['url_demo'] !=""){ ?><div><a href="<?php echo $data['url_demo']; ?>" target="_blank"><img src="<?php echo bloginfo('template_url')."/themes/".get_option('directorypress_theme')."/images/"; ?>viewdemo.jpg" alt="" /></a></div><?php } ?>
				<?php if($data['url_features'] !=""){ ?><div><a href="<?php echo $features_demo; ?>" target="_blank"><img src="<?php echo bloginfo('template_url')."/themes/".get_option('directorypress_theme')."/images/"; ?>viewfeatures.jpg" alt="" /></a></div><?php } ?>

				<?php
				if(function_exists('wp_gdsr_render_multi')){
				//wp_gdsr_render_multi(4, 12, false, 0, 'oxygen', 20, 'oxygen_gif', 'oxygen', 20, 'oxygen_gif');
				}
				?>

				</td></tr></table>		

				</div>


				<?php if($data['images'] !=""){ ?>
				<hr><br>
				<div style="clear:both; height:130px; ">
					<div class="infiniteCarousel">
					  <div class="wrapper">
						<ul>
						<?php
						$i-1;
						$matches = explode(",", $data['images']);
						foreach($matches as $var) {	
						if ($var != "") {
						?>
						<li><a href="<?php echo $var; ?>#<?php echo $i; ?>" rel="prettyPhoto"><img src="<?php echo $var; ?>" height="75" width="75"/></a></li>
						<?php	$i++; } } ?>
						   </ul>        
							  </div>
							</div>
						</div>

				<?php } ?>

				 </div><div class="cl">&nbsp;</div></div>

		<?php } ?>

		
		<!-- END Post -->
 
		<div class="post-text-wide">
				<div class="header">
					<span class="fr"><strong></strong></span>
					<h3><?php the_title(); ?></h3>
				</div>

		<div class="entry" style="padding:20px; line-height:25px;">

<?php if($data['type'] =="article"){ ?>

<h1><?php the_title(); ?></h1>
<p><small><?php the_time('l, F jS, Y') ?> at <?php the_time() ?></small></p>
<hr><br>
<?php } ?>
		<?php the_content(); ?>
		<div class="cl">&nbsp;</div>
		</div>
		</div>
		



	
		<div class="post-text-wide">

				<div class="header">
					<span class="fr"><strong></strong></span>
					<h3>Leave a Comment</h3>
				</div>

				<div class="entry" style="margin-left:30px;padding:10px;">

					<?php comments_template(); ?>
			
			<div class="cl">&nbsp;</div><br>
		</div>
		<!-- END Post -->
			 

</div>
<!-- END Blog -->
<?php endwhile; ?>
<?php else : ?>
	<p>Sorry, no posts matched your criteria.</p>
<?php endif; ?>










				<div class="cl">&nbsp;</div>
			</div>
			<div class="cl">&nbsp;</div>
		</div>
		<div class="cl">&nbsp;</div>


	</div><?php get_sidebar();?>
	<!-- END Widecolumn -->
	<div class="cl">&nbsp;</div>
</div>
<!-- END Content -->
<div class="cl">&nbsp;</div>


 
<script type="text/javascript">

$.fn.infiniteCarousel = function () {

    function repeat(str, num) {
        return new Array( num + 1 ).join( str );
    }
  
    return this.each(function () {
        var $wrapper = $('> div', this).css('overflow', 'hidden'),
            $slider = $wrapper.find('> ul'),
            $items = $slider.find('> li'),
            $single = $items.filter(':first'),
            
            singleWidth = $single.outerWidth(), 
            visible = Math.ceil($wrapper.innerWidth() / singleWidth), // note: doesn't include padding or border
            currentPage = 1,
            pages = Math.ceil($items.length / visible);            


        // 1. Pad so that 'visible' number will always be seen, otherwise create empty items
        if (($items.length % visible) != 0) {
            $slider.append(repeat('<li class="empty" />', visible - ($items.length % visible)));
            $items = $slider.find('> li');
        }

        // 2. Top and tail the list with 'visible' number of items, top has the last section, and tail has the first
        $items.filter(':first').before($items.slice(- visible).clone().addClass('cloned'));
        $items.filter(':last').after($items.slice(0, visible).clone().addClass('cloned'));
        $items = $slider.find('> li'); // reselect
        
        // 3. Set the left position to the first 'real' item
        $wrapper.scrollLeft(singleWidth * visible);
        
        // 4. paging function
        function gotoPage(page) {
            var dir = page < currentPage ? -1 : 1,
                n = Math.abs(currentPage - page),
                left = singleWidth * dir * visible * n;
            
            $wrapper.filter(':not(:animated)').animate({
                scrollLeft : '+=' + left
            }, 500, function () {
                if (page == 0) {
                    $wrapper.scrollLeft(singleWidth * visible * pages);
                    page = pages;
                } else if (page > pages) {
                    $wrapper.scrollLeft(singleWidth * visible);
                    // reset back to start position
                    page = 1;
                } 

                currentPage = page;
            });                
            
            return false;
        }
        
        $wrapper.after('<a class="arrow back">&lt;</a><a class="arrow forward">&gt;</a>');
        
        // 5. Bind to the forward and back buttons
        $('a.back', this).click(function () {
            return gotoPage(currentPage - 1);                
        });
        
        $('a.forward', this).click(function () {
            return gotoPage(currentPage + 1);
        });
        
        // create a public interface to move to a specific page
        $(this).bind('goto', function (event, page) {
            gotoPage(page);
        });
    });  
};

$(document).ready(function () {
  $('.infiniteCarousel').infiniteCarousel();
});
</script>
 
<?php get_footer(); ?>