<?php
/**
 * @package WordPress
 * @subpackage Default_Theme
 */
?>
<!-- Sidebar -->
<div id="sidebar">

 
	<!-- Search -->
	<div id="search">
		<form id="searchform" method="get" action="<?=bloginfo('home')?>">
			<div class="cl">&nbsp;</div>
			<input type="text" class="field blink" id="s" name="s" title="Enter Keyword(s)" value="<?=(isset($_GET['s'])) ? $_GET['s'] : 'Enter Keyword(s)';?>" />
			<input type="submit" class="btn notext" id="searchsubmit" name="searchsubmit" value="Search" />
			<div class="cl">&nbsp;</div>
		</form>
		<script type="text/javascript" charset="utf-8">
			(function ($) {
				$('#s').focus(function () {
					if ($(this).val() == $(this).attr('title')) {
						$(this).val('');
					}
				});
				$('#s').blur(function () {
					if ($(this).val() == '') {
						$(this).val($(this).attr('title'));
					}
				})
			})(jQuery)
		</script>
	</div>
	<!-- END Search -->

	<?php echo '<ul class="addtoany_list">';
	if( function_exists('ADDTOANY_SHARE_SAVE_ICONS') )
		ADDTOANY_SHARE_SAVE_ICONS( array("html_wrap_open" => "<li>", "html_wrap_close" => "</li>") );
	if( function_exists('ADDTOANY_SHARE_SAVE_BUTTON') )
		ADDTOANY_SHARE_SAVE_BUTTON( array("html_wrap_open" => "<li>", "html_wrap_close" => "</li>") );
	echo '</ul>'; ?>


<?php if(get_option("display_categories") =="yes"){ ?>
				
	<!-- Box -->
	<div class="box">
		<div class="bottom">
			<div class="top">
				<h2>Categories</h2>
				<ul class="category" id="Accordion">				
					<?php echo directorypress_Navigation(); ?>
				</ul>
			</div>
		</div>
	</div>
	<!-- END Box -->

<?php } ?>

<?php if(get_option("display_account") =="yes"){ ?>

	<!-- MEMBER ACCOUNT BOX -->
	<div class="box">
		<div class="bottom">
			<div class="top">						
			<?php global $user_ID; if ( $user_ID ) : ?>
			
			<?php global $current_user; get_currentuserinfo();  ?>

				<h2>Member Account</h2>	

				<div style="padding:10px;">

					<p style="font-size:13px;"><?php _e('Welcome,','cp'); ?> <strong><?php echo $current_user->user_login; ?></strong></p>
					<p><a href="<?php echo get_option("dashboard_url"); ?>">My Profile</a></p>
					<!--<p><a href="">My Listings</a></p>-->
					<p><a href="<?php echo get_option("dashboard_submiturl"); ?>">Submit Listing</a></p>
					<br>
					<p>Dont forget to, <a href="<?php echo wp_logout_url(); ?>"><?php _e('Log out','cp'); ?></a>.</p>
				
				</div>			 	
 
			   
		   <?php else : ?> 

				<h2><?php _e('Welcome, visitor!','cp'); ?></h2>
				 	
		<form class="loginform" action="<?php echo get_option('home'); ?>/wp-login.php" method="post" >
		<input name="rememberme" class="checkbox" id="rememberme" value="forever" type="hidden" checked="checked"/>
		<p>			
			<input name="log" class="inputbox" id="user_login" type="text" value="Username" style="width:200px;" />
			<br/>			 
			<input name="pwd" class="inputbox" id="user_pass" type="password" style="width:200px;margin-top:0px; " />
			<br/>
		</p>
	
		<div style="float:left; margin-left:10px;">	
			<p><a href="<?php echo get_option('home'); ?>/wp-login.php?action=register" style="font-weight:bold;">Create an Account</a></p>
			<p><a href="<?php echo get_option('home'); ?>/wp-login.php?action=lostpassword" style="font-size:12px;">Forgot Password?</a></p>
		</div> 
			 
		<p class="submit">
			<input type="submit" name="wp-submit" id="wp-submit" value="Login" style="background:#ccc; border:2px solid #666; padding:5px; margin-left:10px; font: 14px/19px Arial,sans-serif;"  />
			<input type="hidden" name="testcookie" value="1" />
		</p>
 		<br>
	</form>
 
			<?php endif; ?>
				 
			</div>
		</div>
	</div>
	<!-- END Box -->
 <?php } ?>

<?php if(get_option("display_recentpost") =="yes"){ ?>
	<!-- Box -->
	<div class="box">
		<div class="bottom">
			<div class="top">
				<h2>Recent Posts</h2>
				<ul>
					<?php $cat = get_cat_ID('blog categories');?>
					<?php $postslist = query_posts('cat='.$cat.'&numberposts=3&order=DESC&orderby=ID'); ?>
					<?php foreach ($postslist as $loopID => $p) : ?>
						<li class="<?=($loopID == count($postslist) - 1) ? 'last' : '';?>"><a href="<?=get_permalink($p->ID)?>"><?=$p->post_title?></a></li>
					<?php endforeach; ?>
					<?php wp_reset_query(); ?>
				</ul>
			</div>
		</div>
	</div>
	<!-- END Box -->
<?php } ?>

<?php if(get_option("advertising_left_checkbox") =="1"){ ?>
	<!-- Box -->
	<div class="box">
		<div class="bottom">
			<div class="top">
				<h2>Advertisement</h2>				 
				<div class="advertisement">
					<?php echo directorypress_banner("left"); ?>
					<div class="cl">&nbsp;</div>
				</div>
			</div>
		</div>
	</div>
	<!-- END Box -->
<?php } ?>

<?php if(get_option("display_recommended") =="yes"){ ?>

	<!-- Box -->
	<div class="box">
		<div class="bottom">
			<div class="top">
				<h2>Recommended Websites</h2>				 
				<div class="advertisement">
				<?php $args = array(
					'title_before'     => '<span style="display:none;">',
					'title_after'      => '</span>',
					'category_orderby' => 'name',
					'category_order'   => 'ASC'
					 ); ?> 
					 <?php wp_list_bookmarks($args); ?>
					<div class="cl">&nbsp;</div>
				</div>
			</div>
		</div>
	</div>
	<!-- END Box -->
 <?php } ?>

<?php if(get_option("feedburner_checkbox") =="1"){ ?>
	<!-- Box -->
	<div class="box">
		<div class="bottom">
			<div class="top">
				<h2>Stay Updated</h2>				 
				<div class="advertisement">
						<form id="NewsLetter" action="http://feedburner.google.com/fb/a/mailverify" method="post" target="popupwindow" onsubmit="window.open('http://feedburner.google.com/fb/a/mailverify?uri=<?php echo get_option("feedburner_url"); ?>', 'popupwindow', 'scrollbars=yes,width=550,height=520');return true">
						<input type="text" style="width:120px" name="email" value="<?php echo $GLOBALS['_LANG']['_youremailaddress'] ?>" onclick="if(this.value=='Your Email Address') {this.value='';}" />
						<input type="hidden" value="<?php echo get_option("feedburner_url"); ?>" name="uri"/>
						<input type="hidden" name="loc" value="en_US"/>
						<input class="SideBtn" type="submit" name="submit" src="<?php bloginfo('template_url'); ?>/themes/<?php echo get_option('shopperpress_theme'); ?>/images/SideNewsLetterBtn.gif"/>
						</form>
					<div class="cl">&nbsp;</div>
				</div>
			</div>
		</div>
	</div>
	<!-- END Box --> 
<?php } ?>


 
</div>
<!-- END Sidebar -->